import { jsx } from "react/jsx-runtime";
import { TokenCGT as TokenCGT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCGT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "CGT", "data-name": "TokenCGT", ...props, children: /* @__PURE__ */ jsx(TokenCGT$1, { variant }) });
  }
);
TokenCGT.displayName = "TokenCGT";
Object.assign(TokenCGT, { isGdsIcon: true });
export {
  TokenCGT
};
